import { Injector } from '@angular/core';
import { GetRecoveryTokenOptions, Platform, SelectorService } from 'tabby-core';
import { BaseTerminalTabComponent, Reconnectable } from 'tabby-terminal';
import { SerialSession, SerialProfile } from '../api';
/** @hidden */
export declare class SerialTabComponent extends BaseTerminalTabComponent<SerialProfile> implements Reconnectable {
    private selector;
    session: SerialSession | null;
    Platform: typeof Platform;
    constructor(injector: Injector, selector: SelectorService);
    ngOnInit(): void;
    protected onFrontendReady(): void;
    initializeSession(): Promise<void>;
    protected attachSessionHandlers(): void;
    getRecoveryToken(options?: GetRecoveryTokenOptions): Promise<any>;
    reconnect(): Promise<void>;
    changeBaudRate(): Promise<void>;
    protected isSessionExplicitlyTerminated(): boolean;
}
